openwebbeans-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From taha ghasemi <taha_ghas...@yahoo.com>
Subject Re: Bad access to protected data
Date Fri, 08 Nov 2013 06:45:12 GMT
Hi,

Thanks for your response.

Switching to 1.2.1-SNAPSHOT solved the problem.

Thanks again.





On Friday, November 8, 2013 9:10 AM, Romain Manni-Bucau <rmannibucau@gmail.com> wrote:
 
Hi
Can you give it a try with the snapshot please?
Le 8 nov. 2013 04:52, "taha ghasemi" <taha_ghasemi@yahoo.com> a écrit :

Hi all,
>
>
>I've recently upgraded from 1.1.8 to 1.2.0 but got this exception during proxy generation:
>
>
>java.lang.VerifyError: (class: co/pishfa/security/db/UserRepository$$OwbInterceptProxy0,
method: entityManager signature: ()Ljavax/persistence/EntityManager;) Bad access to protected
data
>
>
>The structure of my classes is this:
>
>
>package co.pishfa.db
>class AbstractJpaRepository {
>    protected EntityManager entityManager() { return ...}
>
>}
>
>
>package co/pishfa/security/db
>class UserRepository extends AbstractJpaRepository {
>}
>
>
>Do you have any idea?
>
>
>Thanks
>
Mime
View raw message